Bug 536526 - (RHQ-867) config props with empty string value (i.e. "") are persisted as NULL by Oracle, so the actual value is lost
config props with empty string value (i.e. "") are persisted as NULL by Oracl...
Product: RHQ Project
Classification: Other
Component: Configuration (Show other bugs)
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
: SubBug
Depends On:
Blocks: rhq_triage
  Show dependency treegraph
Reported: 2008-09-19 21:41 EDT by Ian Springer
Modified: 2014-05-15 17:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-05-15 17:16:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2008-09-19 21:41:00 EDT
This is unfortunate, because we jumped through a lot of hoops in the GUI layer to distinguish null (aka unset) values from empty values. This was to allow a user to specify one or the other, depending on if they want the prop to be unset (which tells the plugin to either specify null as the value or to not specify any value), or if they want the property to literally have "" as the value. This distinction is currently thrown away if the Server database is Oracle. The solution is probably to store some sort of special marker value in the DB to represent an empty string (e.g. a TAB character or some other character that's impossible to even enter via the GUI).
Comment 1 Red Hat Bugzilla 2009-11-10 16:18:32 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-867
Comment 2 wes hayutin 2010-02-16 11:59:23 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

new = Tracking + FutureFeature + SubBug
Comment 3 wes hayutin 2010-02-16 12:04:30 EST
making sure we're not missing any bugs in rhq_triage
Comment 4 Corey Welton 2010-10-06 23:47:22 EDT
ips - isn't this a dupe of something?
Comment 5 Ian Springer 2010-10-07 12:59:17 EDT
No, I don't think so.

Note You need to log in before you can comment on or make changes to this bug.